Update RTStream alert status
curl --request PATCH \
--url https://api.videodb.io/rtstream/{stream_id}/index/{scene_index_id}/alert/{alert_id}/status \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"status": "disabled"
}
'const options = {
method: 'PATCH',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'disabled'})
};
fetch('https://api.videodb.io/rtstream/{stream_id}/index/{scene_index_id}/alert/{alert_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
$headers=@{}
$headers.Add("x-access-token", "<api-key>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://api.videodb.io/rtstream/{stream_id}/index/{scene_index_id}/alert/{alert_id}/status' -Method PATCH -Headers $headers -ContentType 'application/json' -Body '{
"status": "disabled"
}'import Foundation
let parameters = ["status": "disabled"] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.videodb.io/rtstream/{stream_id}/index/{scene_index_id}/alert/{alert_id}/status")!
var request = URLRequest(url: url)
request.httpMethod = "PATCH"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"x-access-token": "<api-key>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/rtstream/{stream_id}/index/{scene_index_id}/alert/{alert_id}/status");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
request.AddJsonBody("{\n \"status\": \"disabled\"\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/rtstream/{stream_id}/index/{scene_index_id}/alert/{alert_id}/status");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
request.AddJsonBody("{\n \"status\": \"disabled\"\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);const options = {
method: 'PATCH',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'disabled'})
};
fetch('https://api.videodb.io/rtstream/{stream_id}/index/{scene_index_id}/alert/{alert_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "PATCH");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/rtstream/{stream_id}/index/{scene_index_id}/alert/{alert_id}/status");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"status\": \"disabled\"\n}");
CURLcode ret = curl_easy_perform(hnd);CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "PATCH");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/rtstream/{stream_id}/index/{scene_index_id}/alert/{alert_id}/status");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"status\": \"disabled\"\n}");
CURLcode ret = curl_easy_perform(hnd);val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"status\": \"disabled\"\n}")
val request = Request.Builder()
.url("https://api.videodb.io/rtstream/{stream_id}/index/{scene_index_id}/alert/{alert_id}/status")
.patch(body)
.addHeader("x-access-token", "<api-key>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute(){
"success": true,
"message": "Operation successful"
}Update Alert Status
Enable or disable an alert
PATCH
/
rtstream
/
{stream_id}
/
index
/
{scene_index_id}
/
alert
/
{alert_id}
/
status
Update RTStream alert status
Enable or disable an alert on a stream’s scene index.
statusmust beenabledordisabled- Disabled alerts stop sending notifications but are not deleted
- Re-enable by setting status back to
enabled
Authorizations
API key for authentication (sk-xxx format)
Path Parameters
Example:
"rts-12345"
Example:
"scene-idx-12345"
Example:
"alert-12345"
Body
application/json
Available options:
enabled, disabled Example:
"disabled"
⌘I